#include<bits/stdc++.h>
using namespace std;
int main(){
cin.tie(NULL);
long long N,masiv[100001],br=0,maxbr=0;
bool a=false,typlisi=true;
cin>>N;
for(int iv=1;iv<=N;iv++){
    cin>>masiv[iv];
}
for(int iv=1;iv<=N;iv++){
    if(iv>=2 && typlisi){
        if(masiv[iv]>masiv[iv-1] && masiv[iv]>masiv[iv+1]){
            //cout<<masiv[iv]<<endl<<endl;
            a=true;
            if(maxbr<br){
                maxbr=br;
                br=0;
            }
        }
        if(a){
            br++;
            //cout<<masiv[iv]<<" "<<br<<endl;
        }
    }
    if(masiv[iv]==0){
        typlisi=false;
    }
}
if(!a || maxbr==0){
    cout<<maxbr;
}else{
    cout<<maxbr-1;
}

return 0;
}
